Next: GET_COMMAND_ARGUMENT, Previous: GETARG, Up: Intrinsic Procedures [Contents][Index]

### 9.114 `GET_COMMAND` — Get the entire command line

Description:

  Retrieve the entire command line that was used to invoke the program.

Standard:

  Fortran 2003 and later

Class:

  Subroutine

Syntax:

  `CALL GET_COMMAND([COMMAND, LENGTH, STATUS])`

Arguments:

  COMMAND | (Optional) shall be of type `CHARACTER` and of default kind.
  LENGTH | (Optional) Shall be of type `INTEGER` and of default kind.
  STATUS | (Optional) Shall be of type `INTEGER` and of default kind.

Return value:

  If COMMAND is present, stores the entire command line that was used to invoke the program in COMMAND. If LENGTH is present, it is assigned the length of the command line. If STATUS is present, it is assigned 0 upon success of the command, -1 if COMMAND is too short to store the command line, or a positive value in case of an error.

Example:

      PROGRAM test_get_command
        CHARACTER(len=255) :: cmd
        CALL get_command(cmd)
        WRITE (*,*) TRIM(cmd)
      END PROGRAM

See also:

  GET_COMMAND_ARGUMENT, COMMAND_ARGUMENT_COUNT